Subject: [alpine-devel] [PATCH] Initial APKBUILD for mr

From: Fabian Affolter <[email-masked]>
Date: Sun, 3 Jul 2011 14:35:16 +0000

Package description:
The mr command can checkout, update, or perform other actions on
a set of repositories as if they were one combined respository.
It supports any combination of subversion, git, cvs, mercurial,
bzr, darcs, cvs, and fossil repositories, and support for other
revision control systems can easily be added.

It is extremely configurable via simple shell scripting. Some
examples of things it can do include:

- Update a repository no more frequently than once every twelve hours.
- Run an arbitrary command before committing to a repository.
- When updating a git repository, pull from two different upstreams
  and merge the two together.
- Run several repository updates in parallel, greatly speeding up the
  update process.
- Remember actions that failed due to a laptop being offline, so they
  can be retried when it comes back online.
---
 testing/mr/APKBUILD |   45 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 45 insertions(+), 0 deletions(-)
 create mode 100644 testing/mr/APKBUILD

diff --git a/testing/mr/APKBUILD b/testing/mr/APKBUILD
new file mode 100644
index 0000000..393d13e
--- /dev/null
+++ b/testing/mr/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Fabian Affolter <[email-masked]>
+# Maintainer:
+pkgname=mr
+pkgver=1.04
+pkgrel=0
+pkgdesc="A multiple repository management tool"
+url="http://kitenet.net/~joey/code/mr/"
+arch="noarch"
+license="GPL2+"
+depends="perl"
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://ftp.de.debian.org/debian/pool/main/m/mr/"$pkgname"_"$pkgver".tar.gz"
+
+_builddir="$srcdir"/$pkgname
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	install -Dm755 $pkgname "$pkgdir"/usr/bin/$pkgname || return 1
+	cd "$_builddir"/lib
+	for file in git-fake-bare git-svn unison; do
+		install -Dpm 0644 $file \
+			"$pkgdir"/usr/share/$pkgname/$file  || return 1
+	done
+}
+
+doc() {
+	cd "$_builddir"
+    mkdir -p "$subpkgdir"/usr/share/man || return 1
+    mv "$_builddir"/*.1 "$subpkgdir"/usr/share/man/ || return 1
+	# Sample configuration files
+	for file in mrconfig mrconfig.complex; do
+		install -Dpm 0644 $file \
+			"$subpkgdir"/usr/share/doc/$pkgname/$file  || return 1
+	done
+}
+
+md5sums="9ddd9e5b3a90bcb08ac773ddb1cea512  mr_1.04.tar.gz"
-- 
1.7.4.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---